<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (13) on Tue May 19 01:49:06 EEST 2020 -->
<title>Serialized Form</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-19">
<meta name="description" content="serialized forms">
<meta name="generator" content="javadoc/SerializedFormWriterImpl">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.js"></script>
</head>
<body class="serialized-form">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<section class="serializedPackageContainer">
<h2 title="Package">Package&nbsp;business_layer</h2>
<ul class="blockList">
<li class="blockList">
<section class="serializedClassDetails"><a id="business_layer.BaseProduct">
<!--   -->
</a>
<h3>Class <a href="business_layer/BaseProduct.html" title="class in business_layer">business_layer.BaseProduct</a> extends <a href="business_layer/MenuItem.html" title="class in business_layer">MenuItem</a> implements Serializable</h3>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="business_layer.CompositeProduct">
<!--   -->
</a>
<h3>Class <a href="business_layer/CompositeProduct.html" title="class in business_layer">business_layer.CompositeProduct</a> extends <a href="business_layer/MenuItem.html" title="class in business_layer">MenuItem</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>compositeProduct</h5>
<pre>java.util.List&lt;<a href="business_layer/MenuItem.html" title="class in business_layer">MenuItem</a>&gt; compositeProduct</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="business_layer.MenuItem">
<!--   -->
</a>
<h3>Class <a href="business_layer/MenuItem.html" title="class in business_layer">business_layer.MenuItem</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>ID</h5>
<pre>int ID</pre>
</li>
<li class="blockList">
<h5>name</h5>
<pre>java.lang.String name</pre>
</li>
<li class="blockList">
<h5>price</h5>
<pre>float price</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="business_layer.Order">
<!--   -->
</a>
<h3>Class <a href="business_layer/Order.html" title="class in business_layer">business_layer.Order</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>date</h5>
<pre>java.util.Date date</pre>
</li>
<li class="blockList">
<h5>orderID</h5>
<pre>int orderID</pre>
</li>
<li class="blockList">
<h5>table</h5>
<pre>int table</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="business_layer.Restaurant">
<!--   -->
</a>
<h3>Class <a href="business_layer/Restaurant.html" title="class in business_layer">business_layer.Restaurant</a> extends java.util.Observable implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>21L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>menu</h5>
<pre>java.util.List&lt;<a href="business_layer/MenuItem.html" title="class in business_layer">MenuItem</a>&gt; menu</pre>
</li>
<li class="blockList">
<h5>observers</h5>
<pre>java.util.List&lt;<a href="presentation_layer/Observer.html" title="interface in presentation_layer">Observer</a>&gt; observers</pre>
</li>
<li class="blockList">
<h5>orders</h5>
<pre>java.util.Map&lt;<a href="business_layer/Order.html" title="class in business_layer">Order</a>,&#8203;java.util.List&lt;<a href="business_layer/MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&gt; orders</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedPackageContainer">
<h2 title="Package">Package&nbsp;presentation_layer</h2>
<ul class="blockList">
<li class="blockList">
<section class="serializedClassDetails"><a id="presentation_layer.ChefObserver">
<!--   -->
</a>
<h3>Class <a href="presentation_layer/ChefObserver.html" title="class in presentation_layer">presentation_layer.ChefObserver</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>restaurant</h5>
<pre><a href="business_layer/Restaurant.html" title="class in business_layer">Restaurant</a> restaurant</pre>
</li>
<li class="blockList">
<h5>view</h5>
<pre><a href="presentation_layer/ViewChefGUI.html" title="class in presentation_layer">ViewChefGUI</a> view</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="presentation_layer.ViewAdministratorGUI">
<!--   -->
</a>
<h3>Class <a href="presentation_layer/ViewAdministratorGUI.html" title="class in presentation_layer">presentation_layer.ViewAdministratorGUI</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>addBtn</h5>
<pre>javax.swing.JButton addBtn</pre>
</li>
<li class="blockList">
<h5>backBtn</h5>
<pre>javax.swing.JButton backBtn</pre>
</li>
<li class="blockList">
<h5>deleteBtn</h5>
<pre>javax.swing.JButton deleteBtn</pre>
</li>
<li class="blockList">
<h5>editBtn</h5>
<pre>javax.swing.JButton editBtn</pre>
</li>
<li class="blockList">
<h5>jScrollPane</h5>
<pre>javax.swing.JScrollPane jScrollPane</pre>
</li>
<li class="blockList">
<h5>menuItemID</h5>
<pre>javax.swing.JTextField menuItemID</pre>
</li>
<li class="blockList">
<h5>menuItemName</h5>
<pre>javax.swing.JTextField menuItemName</pre>
</li>
<li class="blockList">
<h5>menuItemPrice</h5>
<pre>javax.swing.JTextField menuItemPrice</pre>
</li>
<li class="blockList">
<h5>model</h5>
<pre>javax.swing.table.DefaultTableModel model</pre>
</li>
<li class="blockList">
<h5>newMenuItemName</h5>
<pre>javax.swing.JTextField newMenuItemName</pre>
</li>
<li class="blockList">
<h5>newMenuItemPrice</h5>
<pre>javax.swing.JTextField newMenuItemPrice</pre>
</li>
<li class="blockList">
<h5>products</h5>
<pre>javax.swing.JTextField products</pre>
</li>
<li class="blockList">
<h5>select</h5>
<pre>javax.swing.ListSelectionModel select</pre>
</li>
<li class="blockList">
<h5>selectedID</h5>
<pre>int selectedID</pre>
</li>
<li class="blockList">
<h5>table</h5>
<pre>javax.swing.JTable table</pre>
</li>
<li class="blockList">
<h5>viewAllBtn</h5>
<pre>javax.swing.JButton viewAllBtn</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="presentation_layer.ViewChefGUI">
<!--   -->
</a>
<h3>Class <a href="presentation_layer/ViewChefGUI.html" title="class in presentation_layer">presentation_layer.ViewChefGUI</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>jScrollPane</h5>
<pre>javax.swing.JScrollPane jScrollPane</pre>
</li>
<li class="blockList">
<h5>model</h5>
<pre>javax.swing.table.DefaultTableModel model</pre>
</li>
<li class="blockList">
<h5>table</h5>
<pre>javax.swing.JTable table</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="presentation_layer.ViewStart">
<!--   -->
</a>
<h3>Class <a href="presentation_layer/ViewStart.html" title="class in presentation_layer">presentation_layer.ViewStart</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>options</h5>
<pre>javax.swing.JComboBox&lt;java.lang.String&gt; options</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li class="blockList">
<section class="serializedClassDetails"><a id="presentation_layer.ViewWaiterGUI">
<!--   -->
</a>
<h3>Class <a href="presentation_layer/ViewWaiterGUI.html" title="class in presentation_layer">presentation_layer.ViewWaiterGUI</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="blockList">
<li class="blockList">
<h5>addBtn</h5>
<pre>javax.swing.JButton addBtn</pre>
</li>
<li class="blockList">
<h5>backBtn</h5>
<pre>javax.swing.JButton backBtn</pre>
</li>
<li class="blockList">
<h5>computeBillBtn</h5>
<pre>javax.swing.JButton computeBillBtn</pre>
</li>
<li class="blockList">
<h5>deleteBtn</h5>
<pre>javax.swing.JButton deleteBtn</pre>
</li>
<li class="blockList">
<h5>jScrollPane</h5>
<pre>javax.swing.JScrollPane jScrollPane</pre>
</li>
<li class="blockList">
<h5>model</h5>
<pre>javax.swing.table.DefaultTableModel model</pre>
</li>
<li class="blockList">
<h5>orderID</h5>
<pre>javax.swing.JTextField orderID</pre>
</li>
<li class="blockList">
<h5>orderTableNumber</h5>
<pre>javax.swing.JTextField orderTableNumber</pre>
</li>
<li class="blockList">
<h5>products</h5>
<pre>javax.swing.JTextField products</pre>
</li>
<li class="blockList">
<h5>select</h5>
<pre>javax.swing.ListSelectionModel select</pre>
</li>
<li class="blockList">
<h5>selectedID</h5>
<pre>int selectedID</pre>
</li>
<li class="blockList">
<h5>table</h5>
<pre>javax.swing.JTable table</pre>
</li>
<li class="blockList">
<h5>totalPrice</h5>
<pre>javax.swing.JTextField totalPrice</pre>
</li>
<li class="blockList">
<h5>viewAllBtn</h5>
<pre>javax.swing.JButton viewAllBtn</pre>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
